<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [setSmartSupplyUseLeftovers](./bitburner.warehouseapi.setsmartsupplyuseleftovers.md)

## WarehouseAPI.setSmartSupplyUseLeftovers() method

Set whether smart supply uses leftovers before buying

<b>Signature:</b>

```typescript
setSmartSupplyUseLeftovers(divisionName: string, cityName: string, materialName: string, enabled: boolean): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  cityName | string | Name of the city |
|  materialName | string | Name of the material |
|  enabled | boolean | smart supply use leftovers enabled |

<b>Returns:</b>

void

